@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins";
}
:root {
    --color-primary: #0A192F;   /* blue */
    --color-secondary: #64FFDA; /* dark navy */
}
.main nav .menu a div {
    background: none;
    transition: .3s;
}
.main nav .menu a:hover div {
    background: var(--color-secondary);
}
.main .hero-section .hero-heading {
    font-family: "Dancing Script", cursive;
}
.main .hero-heading .contact_button {
    padding-left: 50px;
    transition: .5s;
    overflow: hidden;
}
.main .hero-heading .contact_button:hover div {
    width: 200px;
    height: 200px;
    margin-left: -40px;
}
.main .hero-heading .contact_button:hover span {
    color: var(--color-primary);
}
.main .hero-heading .contact_button:hover {
    padding-right: 60px;
    padding-left: 23px;
    background: var(--color-secondary);
}
.main .hero-heading .contact_button p {
    right: -20px;
}
.main .hero-heading .contact_button:hover p {
    right: 20px;
}
.main .hero-heading .services_button:hover ion-icon {
    transform: rotate(-45deg);
}
.main .webdev_pricing_card {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    padding: 30px 40px;
}
.main .webdev_pricing_card .card {
    background: white;
    padding: 20px;
    height: fit-content;
    border-radius: 10px;
    border: 1px solid #E0E0E0;
}
.main .webdev_pricing_card .card ul {
    list-style: none; /* remove default bullets */
    padding-left: 0;
}
  
.main .webdev_pricing_card .card ul li {
    background: url('../assets/images/check-icon.png') no-repeat left center;
    background-size: 14px; /* 👈 yaha se size control karo */
    padding-left: 25px; /* space for icon */
    margin-bottom: 8px;
}
.main .webdev_pricing_card .card .discuss_project_button:hover ion-icon {
    transform: translateX(10px);
}
.main .webdev_pricing_card .popular_card {
    padding: 2px;
    margin-top: -38px;
    height: fit-content;
    border-radius: 12px;
    background: var(--color-secondary);
}
.main nav .menu_icon {
    z-index: 1001;
}
.main nav .menu_icon.open {
    gap: 0;
    justify-content: center;
    align-items: center;
}
.main nav .menu_icon.open .menu_line1 {
    position: absolute;
    transform: rotate(45deg);
    background: var(--color-primary);
}
.main nav .menu_icon.open .menu_line2 {
    opacity: 0;
    position: absolute;
    transform: translateX(20px);
    background: var(--color-primary);
}
.main nav .menu_icon.open .menu_line3 {
    position: absolute;
    transform: rotate(-45deg);
    background: var(--color-primary);
}
.main .more_services_button a:hover ion-icon {
    transform: rotate(-45deg);
}
.main .more_services_button img {
    transform: scale(0);
}
.main .more_services_button:hover img {
    transform: scale(4);
}
.main .services_cards_container {
    overflow: auto;
}
.main .carousel::-webkit-scrollbar {
    width: 0;
}
.main .contact_form_container form select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: #f7f7f7 url('../assets/images/arrow_down.png') no-repeat right 15px center;
    background-size: 12px;
    font-size: 16px;
    border-radius: 6px;
}
.main .contact_form_container form .submit_form_button ion-icon {
    transform: translateX(10px);
}
.main .contact_form_container form .submit_form_button:hover ion-icon {
    transform: translateX(0);
}

/* Services Page */
.services_page .services_container .services_grid_container {
    display: grid;
    column-gap: 40px;
    row-gap: 40px;
    grid-template-columns: repeat(2, 1fr);
    padding: 0 250px;
}
.services_page .services_container .services_grid_container .services_grid ul li {
    background:white url('../assets/images/check-icon.png') no-repeat left 10px center;
    background-size: 14px; /* 👈 yaha se size control karo */
    padding-left: 35px; /* space for icon */
    margin-bottom: 8px;
}

@media (max-width:700px) {
    .main nav .menu_icon {
        display: flex;
    }
    .main nav .menu {
        transition: 1s cubic-bezier(0.075, 0.82, 0.165, 1);
    }
    .main nav .menu.active {
        transform: translateX(0px);
    }
    .main nav .menu {
        z-index: 1000;
        position: fixed;
        background: #64ffdb6b;
        backdrop-filter: blur(10px);
        top: 0;
        left: 0;
        width: 100%;
        padding: 20px;
        padding-top: 100px;
        height: 100vh;
        flex-direction: column;
        align-items: center;
        transform: translateX(1000px);
    }
    .main nav .menu a {
        font-size: 30px;
    }
}
@media (max-width:1400px) {
    .main .hero-section .hero-heading img {
        transform: scale(0.8);
    }
    .main .hero-section .hero_buttons {
        transform: scale(0.8);
    }
    .main .services_cards {
        padding: 30px;
    }
    .main .contact_form_container img {
        width: 400px;
    }
    .services_page .services_container .services_grid_container {
        grid-template-columns: repeat(1, 1fr);
        padding: 0 100px;
    }
}
@media (max-width:1000px) {
    .main .hero-section {
        height: 300px;
    }
    .main .services_cards_container {
        justify-content: start;
    }
    .main .contact_form_container img {
        width: 200px;
        display: none;
    }
    .main .footer {
        border-top-left-radius:50px;
        border-top-right-radius:50px;
    }
}
@media (max-width:1500px) {
    .main .webdev_pricing_card {
        padding: 0 50px;
        grid-template-columns: repeat(3, 1fr);
    }
}
@media (max-width:1000px) {
    .main .webdev_pricing_card {
        padding: 0 50px;
        grid-template-columns: repeat(2, 1fr);
    }
    .main .footer {
        gap: 70px;
        padding: 100px 50px;
        justify-content: start;
    }
    .reserved_text {
        flex-direction: column;
        padding: 20px 0;
        height: 100px;
    }
}
@media (max-width:700px) {
    .main .webdev_pricing_card {
        padding: 0 20px;
        margin-top: 30px;
        grid-template-columns: repeat(1, 1fr);
    }
    .main .webdev_pricing_card .popular_card {
        margin-top: 15px;
    }
    .main .webdev_pricing_h1 {
        font-size: 20px;
    }
    .carousel_container #prevBtn, .carousel_container #nextBtn {
        transform: scale(0.8);
        transform-origin: top;
        display: none;
    }
    .services_page .services_container .services_grid_container {
        grid-template-columns: repeat(1, 1fr);
        padding: 0 20px;
    }
    .services_page .services_container .heading_img {
        width: 250px;
    }
}